# CVS $Id: poserimport.py,v 1.1.1.1 2006/02/26 15:54:20 jay Exp $
#=========================================================================
# This is the actual import script that is run from inside blender.
# 
#  Copyright (C) 2006 Jay van der Meer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#=========================================================================
import Blender
import os
from PoserImporter import *

def importposer(TheFullPath):

	Blender.Window.WaitCursor(1)
	MyBasePath,MyFN = os.path.split(TheFullPath)
	MeshName = string.split(MyFN,".")

	MyImporter = PoserImporter(TheFullPath,MyBasePath,MeshName[0])
	MyImporter.ParseOBJFile()
	MyImporter.DoImport()
	
	Blender.Window.WaitCursor(0)
	Blender.Window.RedrawAll()


# Ask blender to give us a file selector window then run the script.

Blender.Window.FileSelector(importposer,'Import')
