# CVS $Id: posermtexport.py,v 1.1.1.1 2006/02/26 15:54:20 jay Exp $
#=========================================================================
# A script to run inside blender that will export an object for use as a morph target.
#
#  Copyright (C) 2006 Jay van der Meer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#=========================================================================
import Blender

def exportposer_mt(ThePath):
	vertexcntr = 0
	MyFile = file(ThePath,'w')
	
	TheObject = Blender.Object.GetSelected() [0]
	
	MyMesh = TheObject.getData()
	
	for TheVert in MyMesh.verts:
		vertexcntr = vertexcntr + 1
		MyFile.write("v %f %f %f\n" % (TheVert.co.x,TheVert.co.y,TheVert.co.z))
		
	for MyFace in MyMesh.faces:
		MyFile.write("f ")
		
		for TheVert in MyFace.v:
			MyFile.write("%i " % (TheVert.index + 1))
			
		MyFile.write("\n")
		
	MyFile.close()

Blender.Window.FileSelector(exportposer_mt,"Export")
